# Instalación de dependencias para python

La conversion del código a Python 3 requiere actualmente los paquetes especificados en `requirements.txt`

Para instalar dependencias de python se usa el modulo venv (https://docs.python.org/3/library/venv.html) que instala todas las dependencias en un entorno independiente del sistema.


# Instalación rápida

## Ubuntu 24.04

    sudo apt install python3-git opengnsys-libarchive-c python3-termcolor bsdextrautils


## Agregar claves de SSH a oglive

El sistema de Git accede al ogrepository por SSH. Para funcionar, necesita que el oglive tenga una clave de SSH, y que el ogrepository la acepte.

El instalador de Git puede realizar los cambios requeridos, con:

    ./opengnsys_git_installer.py --set-ssh-key

O para hacerlo contra un oglive especifico:

    ./opengnsys_git_installer.py --set-ssh-key --oglive 1 # numero de oglive

Ejecutar este comando agrega la clave de SSH a Forgejo automáticamente.


La clave existente puede extraerse con:

    ./opengnsys_git_installer.py --extract-ssh-key --quiet

# Ejecutar


    # ./opengnsys_git_installer.py

Debe ejecutarse como `root`.

El instalador descarga e instala Forgejo, un interfaz web de Git. La configuración se genera automáticamente.

Forgejo gestiona los repositorios y el acceso por SSH, por lo cual debe quedarse siempre corriendo. Por defecto se instala en el puerto 3000.

El usuario por defecto es `oggit` con password `opengnsys`.


# Paquetes con dependencias

El sistema OgGit requiere módulos de Python que no vienen en Ubuntu 24.04 o tienen versiones demasiado antiguas.

Los fuentes de los paquetes se encuentran en oggit/packages.

# Documentación de código fuente

Se puede generar documentación de Python con una utilidad como pdoc3 (hay multiples alternativas posibles):

    # Instalar pdoc3
    pip install --user pdoc3

    # Generar documentación
    pdoc3 --force --html opengnsys_git_installer.py

